Package uk.ac.starlink.votable.dom

## Class DelegatingDocumentType

- java.lang.Object
- - uk.ac.starlink.votable.dom.DelegatingNode
  - - uk.ac.starlink.votable.dom.DelegatingDocumentType

All Implemented Interfaces:
  `org.w3c.dom.DocumentType`, `org.w3c.dom.Node`

    public class DelegatingDocumentType
    extends DelegatingNode
    implements org.w3c.dom.DocumentType

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Constructor Summary

Constructors
`protected` `DelegatingDocumentType​(org.w3c.dom.DocumentType base, DelegatingDocument doc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.w3c.dom.NamedNodeMap` `getEntities()`
`java.lang.String` `getInternalSubset()`
`java.lang.String` `getName()`
`org.w3c.dom.NamedNodeMap` `getNotations()`
`java.lang.String` `getPublicId()`
`java.lang.String` `getSystemId()`

### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingNode

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Constructor Detail

#### DelegatingDocumentType

    protected DelegatingDocumentType​(org.w3c.dom.DocumentType base,
                                     DelegatingDocument doc)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.w3c.dom.DocumentType`

#### getEntities

    public org.w3c.dom.NamedNodeMap getEntities()

Specified by:
  `getEntities` in interface `org.w3c.dom.DocumentType`

#### getNotations

    public org.w3c.dom.NamedNodeMap getNotations()

Specified by:
  `getNotations` in interface `org.w3c.dom.DocumentType`

#### getPublicId

    public java.lang.String getPublicId()

Specified by:
  `getPublicId` in interface `org.w3c.dom.DocumentType`

#### getSystemId

    public java.lang.String getSystemId()

Specified by:
  `getSystemId` in interface `org.w3c.dom.DocumentType`

#### getInternalSubset

    public java.lang.String getInternalSubset()

Specified by:
  `getInternalSubset` in interface `org.w3c.dom.DocumentType`